body, html {
    margin: 0;
    padding: 0;
    height: 100%;
    box-sizing: border-box;
    font-family: "Fira Sans", sans-serif;
    font-size: 16px;
}

a {
    color: rgb(110, 110, 110);
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

a:visited {
    color: rgb(110, 110, 110);
}

a.outside-link, a.outside-link:visited {
    color: rgb(107, 126, 195);
    text-decoration: underline;
}

a.button {
    display: block;
}

a.button.slim {
    display: inline;
}

a.button.copy-button {
    display: inline-block;
    padding: .5rem;
    min-width: 5rem;
    position: absolute;
    transform: translateY(-.5rem);
    right: 2rem;
}

a.button.pressed {
    background-color: #a1a1a1;
    color: white;
}

.container {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.header {
    background-color: #714FA1;
    color: white;
    text-align: center;
    padding: 1rem;
    font-size: 2rem;
    user-select: none;
    box-shadow: 0 0 1.25rem 0.188rem rgb(0 0 0 / 64%);
    z-index: 1;
}

.header.alternate {
    background-color: #383d9d;
}

.header a {
    color: white;
    text-decoration: none;
}

.header a:visited {
    color: white;
}

.content {
    flex-grow: 1;
    overflow-y: auto;
    padding: 1rem;
    padding-top: 2rem;
    max-width: 100%;
}

.footer {
    background-color: white;
    color: rgb(178, 178, 178);
    text-align: center;
    padding: 1rem;
    box-shadow: 0 0 1.25rem 0.188rem rgb(0 0 0 / 64%);
    z-index: 1;
    position: relative;
}

.footer-content {
    max-width: 45rem;
    margin: auto;
}

.panel, .invisi-panel {
    position: relative;
    color: rgb(110, 110, 110);
    background-color: white;
    /*border: 1px solid black;*/
    border-radius: 0.5rem;
    padding: 1rem;
    max-width: 45rem;
    margin: auto;
    box-shadow: 0 0 .5rem rgba(0, 0, 0, 0.2);
    margin-bottom: 1rem;
    transition: all .25s ease-in-out;
}

.invisi-panel {
    box-shadow: none;
    color: #a4a4a4
}

.panel.purple-shadow-on-hover:hover {
    box-shadow: 0 0 .5rem rgba(113, 79, 161, 0.75);
}

.details, .justify {
    text-align: justify;
}

.centered {
    text-align: center;
}

h1 {
    margin: 0;
    text-align: center;
    font-weight: initial;
}

h2, h3 {
    margin-top: 0;
    text-align: center;
    font-weight: initial;
}

.tag-line {
    margin-top: .5rem;
    font-size: .75rem;
    padding-left: .5rem;
    padding-right: .5rem;
    text-align: center;
    font-style: italic;
}

.panel > h1:only-child, .panel > h2:only-child, .panel > h3:only-child, .panel > h4:only-child {
    margin-bottom: 0;
}

.panel > p:only-child {
    margin-top: 0;
}

ol {
    font-size: 1.125rem;
    padding: 0;
}

ol {
    margin: 0;
}

ol li {
    margin-bottom: .75rem;
    background-color: #eaeaea;

    padding: 1.75rem;
    border-radius: .5rem;
    /*color: white;*/
    /*border: .125rem solid black;*/
    list-style: none;
    box-shadow: 0 0 .5rem rgba(0, 0, 0, 0);
    transition: all .25s ease-in-out;

    padding-top: 1rem;
    padding-bottom: 1rem;

    cursor: crosshair;
}

ol li.important {
    background-color: hotpink;
    color: white;
}

ol.commands li:not(.info) {
    display: flex;
    justify-content: space-between; /* Aligns children to the far left and right */
    flex-wrap: wrap;
}

@media (max-width: 700px) {
    ol.commands li:not(.no-break) code:not(.inline) {
        flex-basis: 100%;
        margin-bottom: 0.5rem;
    }
    ol.commands li:not(.no-break) span:before {
        content: '➡ ';
    }
}

.panel > ol:last-child > li:last-child, .panel > ol > ul:last-child > li:last-child {
    margin-bottom: 0;
}

.panel > a.button:last-child:not(:only-child):last-child {
    margin-top: .75rem;
}

.panel > a.button:not(:only-child):not(:last-child) {
    margin-bottom: .75rem;
}

.panel > h3:last-child {
    margin-bottom: 0;
}

.panel > p:last-child {
    margin-bottom: 0;
}

ol li:hover {
    box-shadow: 0 0 .5rem rgba(1, 103, 1, 0.9);
}

ol.slim li {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.twitch {
    color: #8d62cc;
}

.discord {
    color: #7289da;
}



.button {
    background-color: #f8f8f8;
    border-radius: .5rem;
    text-align: center;
    cursor: pointer;
    padding: 1rem 1.5rem;
    box-shadow: 0 0 .5rem rgba(0, 0, 0, 0.2);
    transition: all .25s ease-out;
}

.button:hover {
    box-shadow: 0 0 .5rem rgba(0, 0, 0, 0.4);
    transform: scale(1.0125);
    text-decoration: none;
}

.button.flat {
    box-shadow: none;
    border: 1px solid lightgrey;
}

.button.flat:hover {
    /*box-shadow: none;*/
    box-shadow: 0 0 .5rem rgba(0, 0, 0, 0.4);
    transform: none;
}

.button.inline {
    padding: .5rem .5rem;
}

.button-container  {
    display: grid;
    grid-template-columns: repeat(2, 1fr); /* Creates 2 columns */
    grid-gap: .5rem;
    /*grid-template-rows: repeat(2, 1fr); !* Creates 2 rows *!*/
}

.button.twitch-login {
    background-color: #8d62cc;
    color: white;
}

.button.patreon-login {
    background-color: #f96854;
    color: white;
}

.button.discord-channel, .button.discord-login {
    background-color: #7289da;
    color: white;
}

.button.discord-invite {
    background-color: #7289da;
    color: white;
}

.button.discord-invite, .button.discord-profile-link {
    display: flex;
    align-items: center;
    justify-content: center;
}

.button.discord-invite > img, .button.discord-profile-link > img {
    width: 2rem;
    height: 2rem;
    margin-right: .5rem;
    border-radius: .5rem;
}

.button.primary {
    background-color: #62cc64;
    color: white;
    /*box-shadow: 0 0 .5rem rgba(0, 0, 0, 0.5);*/
}

.button.also-good {
    background-color: #f5a623;
    color: white;
}

.button.two-column {
    grid-column: 1 / -1;
}

.selection-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: .5rem;
}

.side-info {
    display: flex;
    grid-template-columns: 1fr 2fr;
    grid-gap: .5rem;
}

.left-side-info {
    padding: .5rem;
    /*flex-grow: 1;*/
    margin-left: 2rem;
    margin-right: 2rem;
}

.right-side-info {
    padding: .5rem;
    flex-grow: 1;

    display: grid;
    place-items: center;
}

.color-button {
    user-select: none;
    background-color: #f8f8f8;
    border-radius: .5rem;
    padding: .5rem;
    text-align: center;
    cursor: pointer;
    padding-bottom: 1rem;
    padding-top: 1rem;
    box-shadow: 0 0 .5rem rgba(0, 0, 0, 0.2);
    transition: all .25s ease-in-out;
}

.color-button:hover {
    box-shadow: 0 0 .5rem rgba(0, 0, 0, 0.4);
    transform: scale(1.05);
}

.color-button.display-only {
    cursor: default;
    box-shadow: none;
    background-color: transparent;
}

.task-list {
    display: inline-block;
    margin-bottom: 1rem;
}

.no-margin {
    margin: 0;
}

.tl-header, .tl-task, .tl-footer {
    background: rgba(255, 255, 255, .75);
    color: rgb(51, 51, 51);
    padding: .25rem;
    padding-left: 1rem;
    padding-right: 1rem;
    margin-bottom: .25rem;
    text-align: center;
    font-size: .75rem;
    box-shadow: 0 0 .25rem rgba(0, 0, 0, 0.1);
    white-space: nowrap;
}

.tl-task {
    position: relative;
    font-size: .5rem;
}

.check {
    position: absolute;
    left: .5rem;
}

.check:before {
    content: '✔'
}

.color-matcha .tl-header {
    color: white;
    background-color: #a8d480;
}

.color-matcha .tl-task {
    color: rgba(0, 0, 0, 0.4);
    background-color: rgb(228, 248, 186);
}

.color-mochi .tl-header {
    color: white;
    background-color: #ffb8c3;
}

.color-mochi .tl-task {
    color: rgba(0, 0, 0, 0.4);
    background-color: rgb(255, 204, 217);
}

.warning {
    font-style: italic;
}

em {
    font-style: italic;
    font-weight: bold;
}

.image-container-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: .5rem;
    place-items: center;
}

.clickable {
    cursor: pointer;
}

p {
    text-align: justify;
}

.centered p {
    text-align: center;
}

.panel.orange-shadow-on-hover:hover {
    box-shadow: 0 0 .75rem 0.25rem rgba(245, 166, 35, 0.75);
}

.tool-tipped {
    position: relative;
}

.tool-tipped .element-tooltip {
    visibility: hidden;
    /*width: 120px;*/
    background-color: #a2a2a2;
    color: #fff;
    text-align: center;
    padding: .25rem .4rem;
    border-radius: .25rem;

    /* Position the tooltip text */
    position: absolute;
    z-index: 1;
    /*bottom: 125%;*/
    /*left: 50%;*/
    /*margin-left: -60px;*/
    transform: translateX(-50%);

    /* Fade in tooltip */
    opacity: 0;
    transition: opacity 0.3s;

    top: 135%;
    left: 50%;

    font-size: .75rem;
}
.tool-tipped .element-tooltip:after {
    content: "";
    position: absolute;
    bottom: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent transparent #a2a2a2 transparent;

}
.tool-tipped:hover .element-tooltip {
    visibility: visible;
    opacity: 1;
}

span.tool-tipped, i.tool-tipped {
    font-style: italic;
    cursor: help;
    text-decoration:underline;
    text-decoration-style: dashed;
    text-decoration-thickness: .1rem;
}

.note-footer {
    margin-top: 1rem;
    font-size: .75rem;
    padding-left: .5rem;
    padding-right: .5rem;
    text-align: center;
    font-style: italic;
}

.tabs {
    overflow: hidden;
    /*border: 1px solid #ccc;*/
    /*background-color: #fafafa;*/
    border-radius: .5rem;
    box-shadow: inset 0 0 .25rem rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    padding: .5rem;
    gap: .5rem;
    margin-bottom: .5rem;
    flex-wrap: wrap;
}

.tabs button, button.tabs-like {
    color: rgb(168, 168, 168);
    /*float: left;*/
    /*border: none;*/
    outline: none;
    cursor: pointer;
    padding: 1rem 1.5rem;
    /*margin: .5rem;*/
    transition: 0.3s;
    border-radius: .5rem;
    flex: 1;
    border: 2px solid #f6f6f6;
    /*background-color: #f1f1f1;*/
    background-color: white;
    /*color: gray;*/
    opacity: 1;
}

.tabs.narrow button, button.tabs-like {
    padding: .5rem .5rem;
}

.tabs button.active, button.tabs-like.active {
    /*background-color: lightgrey;*/
    /*color: white;*/
    background-color: white;
    border: 2px solid #989898;
    opacity: 1;
    color: gray;
}

.tabs button:not(.active):hover, button.tabs-like:not(.active):hover {
    border: 2px solid grey;
    background-color: #fafafa;
    opacity: 1;
    color: gray;
}

a.inactive {
    pointer-events: none;
    opacity: 0.35;
}
